Skip to main content
PUT
/
mpc
/
accounts
/
{accountId}
curl -X PUT "https://api.cryptomate.me/mpc/accounts/acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "alias": "Updated Account Name"
  }'
{
  "id": "acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "alias": "Updated Account Name"
}
Updates account details such as the alias. Requires an API key with access level 2 or higher.

Path parameters

accountId
string
required
The account ID to update.

Body

alias
string
required
New friendly alias name for the account.

Response

id
string
Unique account identifier.
alias
string
Friendly alias name for the account.
curl -X PUT "https://api.cryptomate.me/mpc/accounts/acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "alias": "Updated Account Name"
  }'
{
  "id": "acc_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23",
  "alias": "Updated Account Name"
}